/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"Digest_8cc_source.html",
"Json_8h.html#a6136657eccf42428a6f6ced19aa25fdf",
"MediaSource_8h.html#a15171bbedd1533efec973d9fb23319be",
"ProductFileReader_8cc.html#a9bcbf14bac2b416c32936e36007eb04c",
"ResKind_8cc.html",
"Signature_8cc_source.html",
"Testcase__helix_8cc.html#a8b608bce0af7f994059de7e23f9eb8ed",
"base_2NonCopyable_8h.html",
"classzypp_1_1C__Str.html#aea8ab14dbee1db5fcd87cde325f309b2",
"classzypp_1_1CombinedProgressData.html",
"classzypp_1_1DiskUsageCounter.html#a6303dc944493fe6919410635402df776",
"classzypp_1_1HistoryLogData.html#ae7d5b7e5135804a246b26591cc09f806",
"classzypp_1_1Iterable.html#a137b6fbce7add498392d7deedcbadd56",
"classzypp_1_1Match.html#ac60b90cb8ddbd670b91a7474e45aeaa7",
"classzypp_1_1PluginExecutor_1_1Impl.html#a16cd45545ee8db550f440fbee24a7034",
"classzypp_1_1PoolQuery.html#af8d7c050ef9195e7a26de76acd6103c4",
"classzypp_1_1PublicKeyData.html#a7ccdeb7f93621730887345f50d01a4ee",
"classzypp_1_1RepoStatus.html#a490f458ede86e11cbae4dc331f7086fe",
"classzypp_1_1ResPoolProxy.html#ad8e0276c5e761ecffa540abbdaa9f7eb",
"classzypp_1_1Resolver.html#aa7c8481dfa27d4cdc437582f72319d41",
"classzypp_1_1UpdateNotificationFile.html#a899f3efb3843dff9e6c1771abd17e213",
"classzypp_1_1ZConfig.html#afb94d27e098270702e1e5be7e0ae7ab0",
"classzypp_1_1base_1_1DrunkenBishop_1_1Impl.html#a1ede35bedd3eec1c25fce346d3b45968",
"classzypp_1_1detail_1_1PoolQueryIterator.html#a4dce7f17d82a3bd483878384649a0c6b",
"classzypp_1_1filesystem_1_1Pathname.html#a59b71a75cffbff86b54e7920814ff156",
"classzypp_1_1media_1_1MediaCIFS.html#adb213546e4420392a6227bdf9128c10f",
"classzypp_1_1media_1_1MediaNetworkCommonHandler.html#ae93892f782d29d9c0e3dc96b82a15e12",
"classzypp_1_1parser_1_1HistoryLogReader.html#a8b102db9f9f9eaba12fa5c494127a91c",
"classzypp_1_1repo_1_1PackageProvider.html#afdcc34cbc9d50cd9e3d569e16cbd8311",
"classzypp_1_1sat_1_1ArrayAttr.html",
"classzypp_1_1sat_1_1Pool.html#ab60c2cd1d9400007b816492772c1089d",
"classzypp_1_1sat_1_1Solvable.html#a9882c90227c2a8dac42e2c0003f79077",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#a628d36798826eb7dc43aa039fe477796",
"classzypp_1_1syscontent_1_1Reader_1_1Impl.html#a63d9a928f6bdc9026cabdf1a4cc79807",
"classzypp_1_1target_1_1TargetImpl.html#abc3a5014728bfe53c384918122909314",
"classzypp_1_1target_1_1rpm_1_1librpmDb.html#a2a89d378f8f13da7258029b76477c5d0",
"classzypp_1_1url_1_1UrlBase.html#a631d305b5987825a9b10dd3defcf0312",
"classzypp_1_1zypp__detail_1_1ZYppImpl.html#a5a9bb6872a5014182725aafbbe4625e4",
"core_2base_2String_8h.html#a19480ddff8af4f807285af89a54b8093",
"core_2url_2UrlException_8h_source.html",
"globals_y.html",
"libxmlfwd_8cc.html#adca1c983a98dba734ec82a49766ac278",
"pool_2PoolImpl_8h.html",
"structzypp_1_1Date_1_1EDateFormatDef.html#adcbe34976ae1ada91d8ee956773399c0a6a0b5163e6a31e7fdc0cf36caf0ad580",
"structzypp_1_1KeyRingReport.html#a11d1ae2d067bbcf9f82ad7971f51c9a4",
"structzypp_1_1ProgressReportAdaptor.html#a623b5bfa5d0df6503fb06cf90ddc0aa7",
"structzypp_1_1RepoManager_1_1Impl.html#a20d453e711dcc6779544edb35843a6b3",
"structzypp_1_1asPoolItem.html#ac85355f3d5056f87d3c6a2f8d03c8175",
"structzypp_1_1detail_1_1DumpFilter.html",
"structzypp_1_1misc_1_1testcase_1_1TestcaseSetupImpl.html#a4f3c85d178a488cdde1281020776d0e8",
"structzypp_1_1repo_1_1RepoType.html#af1748a4b8f2bef33b15ab155714100c6",
"structzypp_1_1sat_1_1Transaction_1_1Impl.html#aee6b861eb7fe149e514c1eb1a54f17f4",
"structzypp_1_1target_1_1rpm_1_1SingleTransReport.html#a3e8ed6229e08f2316482688aa3676581ab1da4861a4edf5615ec39f07963ea8db",
"structzypp_1_1xmlout_1_1Node.html#a2ded1e2db8677d3a855a624f0aaf29a4"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';